Qwen 3 TTS 12Hz 1.7B qwen3-tts-12hz-1.7b
Text-to-speech in 10 languages with built-in speakers, voice design, and voice cloning.
Speech
$0.00028 / second
region ATL Hugging Face Qwen/Qwen3-TTS-12Hz-1.7B-Base
Inputs
| Input | Accepts |
|---|---|
text | max prompt 6,000 characters |
Parameters
Streams with stream: true.
| Parameter | Type | Values | Default |
|---|---|---|---|
voice | string | vivian, serena, uncle_fu, dylan, eric, ryan, aiden, ono_anna, sohee, design, clone | |
instructions | any | ||
language | any | ||
input_references | array | up to 2 items | |
response_format | string | mp3, opus, flac, wav, pcm | mp3 |
stream_format | string | audio, sse | audio |
speed | number | 0.25–4 | 1 |
seed | integer | ||
temperature | number | 0–2 | |
top_p | number | 0–1 | |
top_k | integer |
Endpoints
A request
curl https://api.vultrinference.com/v1/audio/speech \
-H "Authorization: Bearer $VULTR_INFERENCE_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"model": "qwen3-tts-12hz-1.7b",
"input": "Welcome to Vultr Serverless Inference.",
"voice": "aiden",
"instructions": "Warm and upbeat, like a radio host."
}'import os
import requests
response = requests.post(
"https://api.vultrinference.com/v1/audio/speech",
headers={"Authorization": f"Bearer {os.environ['VULTR_INFERENCE_API_KEY']}"},
json={
"model": "qwen3-tts-12hz-1.7b",
"input": "Welcome to Vultr Serverless Inference.",
"voice": "aiden",
"instructions": "Warm and upbeat, like a radio host.",
},
)
print(response.status_code)const response = await fetch("https://api.vultrinference.com/v1/audio/speech", {
method: "POST",
headers: {
Authorization: `Bearer ${process.env.VULTR_INFERENCE_API_KEY}`,
"Content-Type": "application/json",
},
body: JSON.stringify({
"model": "qwen3-tts-12hz-1.7b",
"input": "Welcome to Vultr Serverless Inference.",
"voice": "aiden",
"instructions": "Warm and upbeat, like a radio host."
}),
});
console.log(response.status);